Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (0ab80345f839631dd30dfbc10949075899af2cad)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (0ab80345f839631dd30dfbc10949075899af2cad)
  • Date: Wed, 7 Jan 2009 08:06:53 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

iso/usr/bin/539 | 2 +-
scripts/add-sauce.sh | 15 +++++++++++++--
scripts/spellcaster.sh | 4 ++--
3 files changed, 16 insertions(+), 5 deletions(-)

New commits:
commit 0ab80345f839631dd30dfbc10949075899af2cad
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/add-sauce.sh: inc verbosity of script

Added messages to signal what the script was doing, and to make errors
more clear to aid in debugging.

commit dbde32a76c9ff794eacdccfc2e94f128d9044f4a
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

iso/usr/bin/539: update link to smgl-keymap

Forgot to update the link when the script name changed. Fixes bug
15008.

commit 6a2f2e8c5487945f452f3c1fffe3498e6d60078e
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: regen tablet files once

Only generate the sorcery packages and depends files once, instead of
one time per spell inside the loop.

diff --git a/iso/usr/bin/539 b/iso/usr/bin/539
index ff30ed4..3774734 120000
--- a/iso/usr/bin/539
+++ b/iso/usr/bin/539
@@ -1 +1 @@
-../share/smgl.install/keymap
\ No newline at end of file
+/usr/share/smgl.install/smgl-keymap
\ No newline at end of file
diff --git a/scripts/add-sauce.sh b/scripts/add-sauce.sh
index 7c47be4..96f9d96 100755
--- a/scripts/add-sauce.sh
+++ b/scripts/add-sauce.sh
@@ -97,7 +97,11 @@ function blacklist_modules {
if [[ $TYPE == "iso" ]] ;then
# ensure kernel presence/sanity
KVER=${KVER:-$(find "$CHROOTDIR"/lib/modules -mindepth 1 -maxdepth 1
-print | head -n1 | sed 's#.*/##')}
- [[ -z $KVER ]] && exit 3
+ if [[ -z $KVER || ! -d "$CHROOTDIR"/lib/modules/$KVER ]]
+ then
+ echo "Kernel version not fount in chroot dir!"
+ exit 3
+ fi
fi

# make sure we start with a clean TEMPDIR each run
@@ -107,15 +111,18 @@ fi
# add the contents of base, which are files that
# should go onto both iso and system chroots
# this is mostly /etc content
+ echo "Copying base files to staging area"
cp -a "$MYDIR"/base/* "$TEMPDIR"/

# ISO Sauce
if [[ $TYPE == "iso" ]] ;then
# add the relevant modules to the blacklist
+ echo "Blacklisting kernel modules in staging area"
blacklist_modules "$CHROOTDIR/lib/modules/$KVER/kernel/drivers/video"
"$TEMPDIR"

# copy everything from the cauldron repo iso dir
# into the TEMPDIR staging area
+ echo "Copying ISO files to staging area"
cp -a "$MYDIR"/iso/* "$TEMPDIR"/
fi

@@ -129,12 +136,14 @@ then
fi

# ==== FIXUP starts here ====
+ echo "Setting permissions on staged files"
chown -R 0:0 "$TEMPDIR"/
chmod -R u=rwX,go=u-w "$TEMPDIR"/
chmod 0600 "$TEMPDIR"/etc/shadow
# ==== end fixup ====

# Get a list of all files we want to install
+echo "Installing staged files to $CHROOTDIR"
for i in $(find "$TEMPDIR" -mindepth 1 -print)
do
FILE="${i#$TEMPDIR/}"
@@ -170,7 +179,9 @@ do
done

# ensure that ld has an up-to-date cache
-"${0%/*}"/cauldronchr.sh -d "$CHROOTDIR" /sbin/ldconfig
+echo "Running ldconfig in $CHROOTDIR"
+"${0%/*}"/cauldronchr.sh -d "$CHROOTDIR" /sbin/ldconfig ||
+echo "error: ldconfig failed in $CHROOTDIR"

# clean up
rm -rf "$TEMPDIR"
diff --git a/scripts/spellcaster.sh b/scripts/spellcaster.sh
index 092552b..1daf3e9 100755
--- a/scripts/spellcaster.sh
+++ b/scripts/spellcaster.sh
@@ -330,9 +330,9 @@ function setup_sys() {
echo "${spell##*/}:${date##*/}:$stat:$ver" >>
"$packages"
cat "$dep" >> "$depends"
done
- sort -u -o "$depends" "$depends"
- sort -u -o "$packages" "$packages"
done
+ sort -u -o "$depends" "$depends"
+ sort -u -o "$packages" "$packages"

# populate /dev with static device nodes
cat > "$SYSDIR/makedev" <<-"DEV"



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (0ab80345f839631dd30dfbc10949075899af2cad), Justin Boffemmyer, 01/07/2009

Archive powered by MHonArc 2.6.24.

Top of Page